package jp.sourceforge.orangesignal.ta.result;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class IchimokuTest {

	@Test
	public void values() {
		final Ichimoku[] values = Ichimoku.values();
		for (final Ichimoku value : values) {
			switch (value) {
			case KIJUN: case TENKAN: case SENKOU1: case SENKOU2: case CHIKOU:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
